Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.pietschy.command.group.impl
Class GroupContainerManager

    java.lang.Object
      com.pietschy.command.group.impl.GroupContainerManager

Direct Known Subclasses:
  DefaultGroupContainerManager

    public abstract class GroupContainerManager

extends java.lang.Object

A helper class that CommandGroups use to populate and manages its popup/command `Container`s. Typcially this class is repsonsible for rebuilding it's container when the GroupCommands members change.

Field Summary
`protected Logger` | `log`

Constructor Summary
`GroupContainerManager()`

Method Summary
`void` | `configure(javax.swing.JComponent container, ButtonFactory factory, java.lang.String faceId)` Configures this instance to manage the specified button container using the factory and faceid provided.
`void` | `configure(javax.swing.JComponent container, MenuFactory factory, java.lang.String faceId)` Configures this instance to manage the specified menu container using the factory and faceid provided.
`protected java.lang.String` | `getFaceId()` The face id to use when creating new buttons or menus.
`protected Factory` | `getFactory()` The factory to use when createing new buttons or menus.
`protected javax.swing.JComponent` | `getItemContainer()` Gets the container this instance is managing.
`abstract void` | `rebuildContainer(java.util.Collection<GroupMember> members)` Called to trigger the manager to rebuild its container using the specified collection of `GroupMember`s.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### log

    protected Logger log

Constructor Detail

### GroupContainerManager

    public GroupContainerManager()

Method Detail

### configure

    public void configure(javax.swing.JComponent container,
                          MenuFactory factory,
                          java.lang.String faceId)

  Configures this instance to manage the specified menu container using the factory and faceid provided.

  Parameters:
    `container` - the container to manage.
    `factory` - the factory to use when creating menu items.
    `faceId` - the face id to use.

### configure

    public void configure(javax.swing.JComponent container,
                          ButtonFactory factory,
                          java.lang.String faceId)

  Configures this instance to manage the specified button container using the factory and faceid provided.

  Parameters:
    `container` - the container to manage.
    `factory` - the factory to use when creating buttons.
    `faceId` - the face id to use.

### rebuildContainer

    public abstract void rebuildContainer(java.util.Collection<GroupMember> members)

  Called to trigger the manager to rebuild its container using the specified collection of `GroupMember`s.

  Parameters:
    `members` - the current members of the group.

### getItemContainer

    protected javax.swing.JComponent getItemContainer()

  Gets the container this instance is managing.

  Returns:
    the container this instance is managing.

### getFactory

    protected Factory getFactory()

  The factory to use when createing new buttons or menus. It will be an instance of either `MenuFactory` or `ButtonFactory`.

  Returns:
    the factory to use when createing new buttons or menus.

### getFaceId

    protected java.lang.String getFaceId()

  The face id to use when creating new buttons or menus.

  Returns:
    the face id to use when creating new buttons or menus.

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 - 2007 Andrew Pietsch